# Freifunk Leipzig - Erstaufnahme Einrichtung - Am Deutschen Platz

This repo contains the config and documentation for our installation at the "Erstaufnahme Einrichtung - Am Deutschen Platz"

---

**more documentation / information will follow**

---

## Admin Guide

requirements:
* `ansible`
* `pandoc` (for offline documentation generation)
* `pass`

### Password Manager

1. import all gpg keys (only on first use or new admin - all keys need to be trusted - use `--edit-key` to edit the trust level):
```
user@freifunk-admin:~/ffl-eae-adp/files/gpg$ gpg --import *
gpg: key F937CB4882C16136: "hirnpfirsich@ffl-eae-adp-password" not changed
gpg: key 2438B8ADFDF45447: 1 signature not checked due to a missing key
gpg: key 2438B8ADFDF45447: "Alexander Böhm <alexander.boehm@malbolge.net>" not changed
gpg: Total number processed: 2
gpg:              unchanged: 2
user@freifunk-admin:~/ffl-eae-adp/files/gpg$
```
2. source environment (on every new shell):
```
user@freifunk-admin:~/ffl-eae-adp$ . environment 
```
3. use :)
```
user@freifunk-admin:~/ffl-eae-adp$ pass
Password Store
├── accesspoints
│   ├── ap-0b99
│   ├── ap-1a38
│   ├── ap-2bbf
│   ├── ap-8f39
[...]
user@freifunk-admin:~/ffl-eae-adp
```

### SSH

use `playbook_create_ssh_config.yml` to generate an `ssh_config` file that gets linked into your `ssh_config`.
optionally specify a jumphost (ie. `eae-adp-jump01`)

```
user@freifunk-admin:~/ffl-eae-adp$ ansible-playbook -e jumphost=eae-adp-jump01 playbook_create_ssh_config.yml 

PLAY [generate ssh_config] ******************************************************************************************************************************************************************************************************

TASK [generate ssh_config file] *************************************************************************************************************************************************************************************************
changed: [localhost]

TASK [include custom ssh_config] ************************************************************************************************************************************************************************************************
ok: [localhost]

PLAY RECAP **********************************************************************************************************************************************************************************************************************
localhost                  : ok=2    changed=1    unreachable=0    failed=0    skipped=0    rescued=0    ignored=0   

user@freifunk-admin:~/ffl-eae-adp$ ssh gw-core01 uptime
 23:54:52 up  6:49,  load average: 0.05, 0.01, 0.00
user@freifunk-admin:~/ffl-eae-adp$
```

## Links

* [Documentation](documentation/README.md)
* [Incidents](documentation/INCIDENTS.md)
* [TODO](documentation/TODO.md)
